﻿using System.Windows.Media;
using Telerik.Windows.Controls;

namespace Office2016InspiredRibbonView
{
    public static class Office2016Palette
    {
        public static void Colorful()
        {
            VisualStudio2013Palette.Palette.HeaderColor = (Color)ColorConverter.ConvertFromString("#FF2A579A");
            VisualStudio2013Palette.Palette.MouseOverColor = (Color)ColorConverter.ConvertFromString("#FFC5C5C5");
            VisualStudio2013Palette.Palette.AccentDarkColor = (Color)ColorConverter.ConvertFromString("#FFAEAEAE");
            VisualStudio2013Palette.Palette.PrimaryColor = (Color)ColorConverter.ConvertFromString("#FFF1F1F1");
            VisualStudio2013Palette.Palette.SelectedColor = (Color)ColorConverter.ConvertFromString("#FFFFFFFF");
            VisualStudio2013Palette.Palette.AccentColor = (Color)ColorConverter.ConvertFromString("#FF2A579A");
            VisualStudio2013Palette.Palette.BasicColor = (Color)ColorConverter.ConvertFromString("#FFAEAEAE");
            VisualStudio2013Palette.Palette.SemiBasicColor = (Color)ColorConverter.ConvertFromString("#FF3E6DB6");
        }

        public static void Dark()
        {
            VisualStudio2013Palette.Palette.HeaderColor = (Color)ColorConverter.ConvertFromString("#FF444444");
            VisualStudio2013Palette.Palette.MouseOverColor = (Color)ColorConverter.ConvertFromString("#FF969696");
            VisualStudio2013Palette.Palette.AccentDarkColor = (Color)ColorConverter.ConvertFromString("#FF808080");
            VisualStudio2013Palette.Palette.PrimaryColor = (Color)ColorConverter.ConvertFromString("#FFB2B2B2");
            VisualStudio2013Palette.Palette.SelectedColor = (Color)ColorConverter.ConvertFromString("#FFFFFFFF");
            VisualStudio2013Palette.Palette.AccentColor = (Color)ColorConverter.ConvertFromString("#FF444444");
            VisualStudio2013Palette.Palette.BasicColor = (Color)ColorConverter.ConvertFromString("#FF808080");
            VisualStudio2013Palette.Palette.SemiBasicColor = (Color)ColorConverter.ConvertFromString("#FF3E6DB6");

        }

        public static void Light()
        {
            // accent color
            VisualStudio2013Palette.Palette.HeaderColor = (Color)ColorConverter.ConvertFromString("#FFFFFFFF");
            // mouse over color
            VisualStudio2013Palette.Palette.MouseOverColor = (Color)ColorConverter.ConvertFromString("#FFC5C5C5");
            // pressed color
            VisualStudio2013Palette.Palette.AccentDarkColor = (Color)ColorConverter.ConvertFromString("#FF808080");
            //background of RibbonView (where all groups reside)
            VisualStudio2013Palette.Palette.PrimaryColor = (Color)ColorConverter.ConvertFromString("#FFFFFFFF");
            //all text colors in RibbonView
            VisualStudio2013Palette.Palette.SelectedColor = (Color)ColorConverter.ConvertFromString("#FF000000");
            //borderbrush color
            VisualStudio2013Palette.Palette.AccentColor = (Color)ColorConverter.ConvertFromString("#FF000000");
            //Border around Ribbon items when checked
            VisualStudio2013Palette.Palette.BasicColor = (Color)ColorConverter.ConvertFromString("#FF808080");
            //ApplicationButton Background on hover
            VisualStudio2013Palette.Palette.SemiBasicColor = (Color)ColorConverter.ConvertFromString("#FF3458DC");
        }
    }
}
